import { act, render, screen } from '@testing-library/react'
import { userEvent } from '@testing-library/user-event'
import React from 'react'
import EcogestureSelectionEnd from './EcogestureSelectionEnd'

const mockedNavigate = jest.fn()
jest.mock('react-router-dom', () => ({
  ...jest.requireActual('react-router-dom'),
  useNavigate: () => mockedNavigate,
}))

describe('EcogestureSelectionEnd component', () => {
  beforeEach(() => {
    jest.clearAllMocks()
  })

  it('should be rendered correctly', () => {
    const { container } = render(<EcogestureSelectionEnd />)
    expect(container).toMatchSnapshot()
  })

  it('should close modal and update profile', async () => {
    render(<EcogestureSelectionEnd />)
    await act(async () => {
      await userEvent.click(screen.getByText('ecogesture_selection.button_ok'))
    })
    expect(mockedNavigate).toHaveBeenCalledWith('/ecogestures?tab=0')
  })
})
