import { Button } from '@material-ui/core'
import icon from 'assets/icons/visu/ecogesture/ECOGESTURE0001.svg'
import StyledIcon from 'components/CommonKit/Icon/StyledIcon'
import { useI18n } from 'cozy-ui/transpiled/react/providers/I18n'
import React from 'react'
import { useNavigate } from 'react-router-dom'
import './ecogestureSelectionRestart.scss'

interface EcogestureSelectionRestartProps {
  listLength: number
  restart: () => void
}

const EcogestureSelectionRestart = ({
  listLength,
  restart,
}: EcogestureSelectionRestartProps) => {
  const { t } = useI18n()
  const navigate = useNavigate()

  return (
    <div className="eg-selection-restart-container">
      <div className="content">
        <div className="title text-21-bold">
          {t('ecogesture_selection.title', {
            smartCount: listLength,
          })}
        </div>
        <StyledIcon icon={icon} size={120} />
        <div className="text text-16-normal">
          {t('ecogesture_selection.text')}
        </div>
      </div>
      <div className="buttons">
        <Button
          aria-label={t(
            'ecogesture_selection.accessibility.button_go_to_ecogesture'
          )}
          className="btnSecondary"
          onClick={() => navigate('/ecogestures?tab=0')}
        >
          {t('ecogesture_selection.button_go_to_ecogesture')}
        </Button>
        <Button
          aria-label={t('ecogesture_selection.accessibility.button_continue')}
          className="btnPrimary"
          onClick={restart}
        >
          {t('ecogesture_selection.button_continue')}
        </Button>
      </div>
    </div>
  )
}

export default EcogestureSelectionRestart
