import { act, render, screen } from '@testing-library/react'
import { userEvent } from '@testing-library/user-event'
import React from 'react'
import { allFluids } from 'utils/utils'
import ExportLoadingModal from './exportLoadingModal'

describe('ExportLoadingModal component', () => {
  it('should be rendered correctly', () => {
    const { baseElement } = render(
      <ExportLoadingModal
        open={true}
        handleCloseClick={jest.fn()}
        handleDone={jest.fn()}
        selectedFluids={allFluids}
      />
    )
    expect(baseElement).toMatchSnapshot()
  })

  it('should cancel download', async () => {
    const mockHandleClose = jest.fn()
    render(
      <ExportLoadingModal
        open={true}
        handleCloseClick={mockHandleClose}
        handleDone={jest.fn()}
        selectedFluids={allFluids}
      />
    )
    await act(async () => {
      await userEvent.click(
        screen.getByText('export.modal_loading.button_cancel')
      )
    })
    expect(mockHandleClose).toHaveBeenCalledTimes(1)
  })
})
