import { render, waitFor } from '@testing-library/react'
import OptionsView from 'components/Options/OptionsView'
import React from 'react'
import { Provider } from 'react-redux'
import { BrowserRouter } from 'react-router-dom'
import { createMockEcolyoStore } from 'tests/__mocks__/store'

jest.mock('components/Header/CozyBar', () => 'mock-cozybar')
jest.mock('components/Header/Header', () => 'mock-header')
jest.mock('components/Content/Content', () => 'mock-content')
jest.mock(
  'components/Konnector/KonnectorViewerList',
  () => 'mock-konnectorviewerlist'
)

const store = createMockEcolyoStore()

describe('OptionsView component', () => {
  it('should be rendered correctly', async () => {
    const { container } = render(
      <BrowserRouter>
        <Provider store={store}>
          <OptionsView />
        </Provider>
      </BrowserRouter>
    )
    await waitFor(() => null, { container })
    expect(container).toMatchSnapshot()
  })
})
